Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.addressing
Class AddressingHeadersFactory200408

    java.lang.Object
      org.codehaus.xfire.addressing.AbstactAddressingHeadersFactory
          org.codehaus.xfire.addressing.AddressingHeadersFactory200408

All Implemented Interfaces:
  AddressingHeadersFactory, WSAConstants

    public class AddressingHeadersFactory200408

extends AbstactAddressingHeadersFactory

A WS-Addressing endpoint reference.

Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.addressing.WSAConstants
`WSA_200408_ANONYMOUS_URI, WSA_ACTION, WSA_ACTION_QNAME, WSA_ADDRESS, WSA_ADDRESS_QNAME, WSA_ENDPOINT_NAME, WSA_ENDPOINT_NAME_QNAME, WSA_FAULT_TO, WSA_FAULT_TO_QNAME, WSA_FROM, WSA_FROM_QNAME, WSA_INTERFACE_NAME, WSA_INTERFACE_NAME_QNAME, WSA_MESSAGE_ID, WSA_MESSAGE_ID_QNAME, WSA_NAMESPACE, WSA_NAMESPACE_200408, WSA_NAMESPACE_200502, WSA_POLICIES, WSA_POLICIES_QNAME, WSA_PREFIX, WSA_REFERENCE_PARAMETERS, WSA_REFERENCE_PARAMETERS_QNAME, WSA_REFERENCE_PROPERTIES, WSA_REFERENCE_PROPERTIES_QNAME, WSA_RELATES_TO, WSA_RELATES_TO_QNAME, WSA_RELATIONSHIP_TYPE, WSA_RELATIONSHIP_TYPE_QNAME, WSA_REPLY_TO, WSA_REPLY_TO_QNAME, WSA_SERVICE_NAME, WSA_SERVICE_NAME_QNAME, WSA_TO, WSA_TO_QNAME`

Constructor Summary
`AddressingHeadersFactory200408()`

Method Summary
`EndpointReference` | `createEPR(org.codehaus.yom.Element eprElement)`
`AddressingHeaders` | `createHeaders(org.codehaus.yom.Element root)`
`java.lang.String` | `getAnonymousUri()`
`boolean` | `hasHeaders(org.codehaus.yom.Element root)`
`void` | `writeEPR(org.codehaus.yom.Element root, EndpointReference epr)`
`void` | `writeHeaders(org.codehaus.yom.Element root, AddressingHeaders headers)`

Methods inherited from class org.codehaus.xfire.addressing.AbstactAddressingHeadersFactory
`elementToQName, getChildValue, qnameToString, stringToQName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingHeadersFactory200408

    public AddressingHeadersFactory200408()

Method Detail

### createHeaders

    public AddressingHeaders createHeaders(org.codehaus.yom.Element root)

### createEPR

    public EndpointReference createEPR(org.codehaus.yom.Element eprElement)

### hasHeaders

    public boolean hasHeaders(org.codehaus.yom.Element root)

### writeHeaders

    public void writeHeaders(org.codehaus.yom.Element root,
                             AddressingHeaders headers)

### writeEPR

    public void writeEPR(org.codehaus.yom.Element root,
                         EndpointReference epr)

### getAnonymousUri

    public java.lang.String getAnonymousUri()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.